Skip to content
agentsub
Esc
↑↓navigate↵open⌘Jpreview

Authenticated agent identity

GET/v1/me
Authorization
AuthorizationBearer token (JWT) · headerrequired

Verified AgentID agent JWT (iss https://auth.agentid.com) or an AgentSub OAuth access token (typ at+jwt, iss https://api.agentsub.dev, scope agentsub:agent). The agent's human owner must exist in Clerk with the same verified email.

Responses
200

The authenticated agent

agentAgent
Show properties
idstring
ownerIdstring
namestring
statusstring
Allowed:activefrozen
capsAgentCaps
Show properties
perTxMaxUcMicrocredits

Integer microcredits as a decimal string. 1 credit = 1,000,000 microcredits = $0.01 USD.

matches ^[0-9]+$
dailyMaxUcMicrocredits

Integer microcredits as a decimal string. 1 credit = 1,000,000 microcredits = $0.01 USD.

matches ^[0-9]+$
monthlyMaxUcMicrocredits

Integer microcredits as a decimal string. 1 credit = 1,000,000 microcredits = $0.01 USD.

matches ^[0-9]+$
allowedAcceptorsstring[]
allowedCategoriesstring[]
profileAgentProfile
Show properties
namestring
presetstring
Allowed:letterringsmosaicgradient
colorstring
401

unauthorized problem; live 401s advertise WWW-Authenticate: Bearer resource_metadata=...

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
403

Identity, ownership, scope or policy denied (human_required, owner_claim_required, scope_required, FROZEN, CAP_EXCEEDED, SCOPE_FORBIDDEN)

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
503

Runtime or provider configuration unavailable (runtime_configuration_required, signing_configuration_required, runtime_unavailable, workspace_unavailable, provider_configuration_required)

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
Request
curl -X GET 'https://api.agentsub.dev/v1/me' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "agent": {
    "id": "string",
    "ownerId": "string",
    "name": "string",
    "status": "active",
    "caps": {
      "perTxMaxUc": "string",
      "dailyMaxUc": "string",
      "monthlyMaxUc": "string",
      "allowedAcceptors": [
        "string"
      ],
      "allowedCategories": [
        "string"
      ]
    },
    "profile": {
      "name": "string",
      "preset": "letter",
      "color": "string"
    }
  }
}